package com.bonus.sharedstation.app.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.sharedstation.app.dto.RepairServiceDTO;
import com.bonus.sharedstation.app.dto.RepairServiceOrderDTO;
import com.bonus.sharedstation.app.entity.RepairServiceOrder;

/**
 * 便民服务信息表保洁(CleaningServicesOrder)表服务接口
 *
 * @author makejava
 * @since 2024-12-10 17:02:11
 */
public interface RepairServiceOrderService extends IService<RepairServiceOrder> {

    AjaxResult getListPageApp(RepairServiceOrderDTO dto);

    AjaxResult getListWeb(RepairServiceOrderDTO dto);

    AjaxResult selectInfoById(RepairServiceOrder dto);

    AjaxResult insertToPay(RepairServiceOrder dto);

    AjaxResult getListPage(RepairServiceDTO dto);
}

